# Mobile operator

A decision block that checks the mobile operator.

If the proceed option is set to Immediately, then check the current operator without pausing the fiber. If set to When changed, then the fiber will pause until the mobile operator has changed.

If both operator name and operator code are empty, or evaluate to `null`, the current operator are assigned to the output variables without check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Operator name — name of the operator to check.
- Operator code — code to the operator to check.
- Subscription id — id of subscription (SIM) to check, default is the system default subscription.

## Output variables

- Current operator name — variable to assign the name of the current mobile operator for subscription.
- Current operator code — variable to assign the code of the current mobile operator for subscription.
- Current operator country code — variable to assign the two-letter country code of the current mobile operator for subscription, or `null` if unavailable.